<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC

@author			juan.agudelo
@version		2.0
@description    Pantalla que permite la visualización de la galeria de imagenes y 
                folleto asociados a una oferta inmobiliaria
@cu    
@param			managedBeanParam:	Nombre del ManagedBean del que se obtendran los parametros 
@param			selectedFotografiaListParam: Objeto del tipo lista de fotografías al que 
                estaran asociadas las fotografías
@param			selectedFotografiaParam:	Objeto del tipo fotografía al que estaran 
                asociados los datos
@param			cIdParam:	Id del componente
@param			compositeWVParam:	Identificardor del WidgetVar de la ventana modal en la 
                que va incluido el componente
@param			archivoUploadParam: Método de carga de archivos
     
-->


<h:panelGrid id="#{cIdParam}compfotosId" columns="1"
             xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" width="100%">


    <p:messages id="#{cIdParam}msgs" showDetail="false" />

    <h:form id="#{cIdParam}cargarfotosForm" enctype="multipart/form-data"
            rendered="#{banderaCargaParam}">

        <p:fieldset>
            <legend>
                <h:outputText value="Gestor de fotografías" styleClass="legendTitle" />
            </legend>

            <h:panelGrid columns="4" cellspacing="7" width="100%"
                         columnClasses="colPequena,colMediana,colPequena,colPequena,colMediana">

                <h:panelGroup>
                    <h:outputLabel value="Tipo fotografía:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                </h:panelGroup>
                <h:selectOneMenu id="#{cIdParam}tipoFoto"
                                 label="Tipo de fotografía:"
                                 value="#{selectedFotografiaParam.tipoFoto}">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{general.ofertaFotoTipoFotoV}" />
                    <p:ajax />
                </h:selectOneMenu>

                <h:outputLabel value="Descripción:" styleClass="outputLabelStyle" />
                <h:inputTextarea id="#{cIdParam}descripcion"
                                 value="#{selectedFotografiaParam.descripcion}" cols="60" rows="2">
                    <p:ajax event="blur" />
                </h:inputTextarea>

                <h:outputLabel value="Cargar y guardar fotografía:"
                               styleClass="outputLabelStyle" />
                <p:fileUpload id="#{cIdParam}fu" label="Seleccionar fotografía"
                              fileUploadListener="#{managedBeanParam.archivoUpload}"
                              dragDropSupport="true" widgetVar="uploader" mode="advanced"
                              auto="true" sizeLimit="#{general.maximoTamanoAdjuntos}"
                              allowTypes="/(\.|\/)(tif|png|dwg|jpg|jpeg|gif|bmp)$/"
                              update=":#{cIdParam}msgs,
                              :#{cIdParam}cargarfotosForm:#{cIdParam}tipoFoto,
                              :#{cIdParam}cargarfotosForm:#{cIdParam}descripcion,
                              :#{cIdParam}galleriaForm,
                              :#{cIdParam}fotosOpId,
                              :#{cIdParam}fotosEdId"
                              onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                              style="width: 100%;" />

                <p:spacer />
                <p:spacer />
            </h:panelGrid>
        </p:fieldset>
    </h:form>

    <h:form id="#{cIdParam}galleriaForm">
        <p:fieldset>
            <legend>
                <h:outputText value="Fotografías" styleClass="legendTitle" />
            </legend>
            <p:galleria frameHeight="90" frameWidth="140" panelHeight="350"
                        panelWidth="570" value="#{selectedFotografiaListParam}"
                        id="#{cIdParam}galleriaId" var="foto" showFilmstrip="true"
                        showOverlays="true"
                        rendered="#{not empty selectedFotografiaListParam}"
                        effectSpeed="1000" style="margin: 0 auto;text-align: center;">
                <p:graphicImage value="#{foto.nombreDescargaFotoAlfresco}"
                                title="#{foto.archivoFotografia}" alt="#{foto.descripcion}" />
                <p:galleriaOverlay title="#{foto.tipoFoto}">  
                    #{foto.descripcion}  
                </p:galleriaOverlay>
            </p:galleria>
            <h:outputText value="No hay fotografías relacionadas con esta oferta"
                          styleClass="outputTextStyle"
                          rendered="#{empty selectedFotografiaListParam}" />
        </p:fieldset>
        <p:spacer height="10" />
    </h:form>

    <h:form id="#{cIdParam}fotosEdId">
        <p:fieldset rendered="#{banderaPanelEdicionFotosParam}">
            <legend>
                <h:outputText value="Edición de fotografias"
                              styleClass="legendTitle" />
            </legend>

            <h:panelGrid columns="4" cellspacing="7" width="100%">

                <ui:repeat var="fotosE" value="#{selectedFotografiaListParam}">

                    <h:selectBooleanCheckbox value="#{fotosE.fotografiaSeleccionada}" />
                    <p:graphicImage width="140" height="90"
                                    value="#{fotosE.nombreDescargaFotoAlfresco}" />
                    <p:spacer height="0" width="7" />
                </ui:repeat>
            </h:panelGrid>

            <p:spacer height="13" width="0" />
            <h:panelGrid columns="2" cellspacing="7">

                <p:commandButton title="Eliminar todas las fotos" ajax="true"
                                 value="Eliminar todas las fotos" icon="ui-icon-trash"
                                 update=":#{cIdParam}fotosEdId,
                                 :#{cIdParam}galleriaForm"
                                 action="#{managedBeanParam.eliminarFotosAll}" />

                <p:commandButton title="Eliminar fotos seleccionadas" ajax="true"
                                 value="Eliminar fotos seleccionadas" icon="ui-icon-trash"
                                 update=":#{cIdParam}fotosEdId,
                                 :#{cIdParam}galleriaForm,
                                 :#{cIdParam}fotosOpId"
                                 action="#{managedBeanParam.eliminarFotos}" />

            </h:panelGrid>
        </p:fieldset>
    </h:form>

    <h:form id="#{cIdParam}fotosOpId" rendered="#{banderaCargaParam}">
        <h:panelGrid columns="2" cellspacing="7">

            <p:commandButton value="Eliminar fotografías"
                             update=":#{cIdParam}fotosEdId,
                             :#{cIdParam}galleriaForm,
                             :#{cIdParam}fotosOpId"
                             icon="ui-icon-trash" immediate="true"
                             rendered="#{not empty selectedFotografiaListParam and !banderaPanelEdicionFotosParam}">
                <f:setPropertyActionListener value="true"
                                             target="#{banderaPanelEdicionFotosParam}" />
            </p:commandButton>

            <p:commandButton value="Guardar" icon="ui-icon-disk"
                             rendered="#{not empty selectedFotografiaListParam and managedBeanParam.banderaFotografiasCargadas}"
                             action="#{managedBeanParam.guardarFotos}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();#{compositeWVParam}.hide()" />

        </h:panelGrid>
    </h:form>

</h:panelGrid>
